<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class RoomInspectionItem extends Model
{
    use \App\Models\Concerns\BelongsToHotel;

    protected $guarded = [];

    public function inspection()
    {
        return $this->belongsTo(RoomInspection::class, 'room_inspection_id');
    }

    public function amenity()
    {
        return $this->belongsTo(RoomAmenity::class, 'room_amenity_id');
    }
}
